import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';

/*
  Generated class for the ConnectionProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
@Injectable()
export class ConnectionProvider {
public apiUrl = 'http://localhost:8080/';
public user = this.apiUrl + '/user_profile';

  constructor(public http: HttpClient) {
    console.log('Hello ConnectionProvider Provider');
  }

post(partialPath: string, data: any) {
  return this.http.post(this.apiUrl + partialPath, data);
}

get(partialPath: string, data: any) {
  return this.http.get(this.apiUrl + partialPath, data);
}



}
